package org.rcisoft.sys.sysusercard.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on Dec 28, 2022, 2:07:15 PM.
*/
@Data
@TableName("sys_user_card")
public class SysUserCard  extends CyIdIncreEntity<SysUserCard> {


     /**
     * @desc 用户ID
     * @column user_id
     * @default 
     */
     private Long userId;

     /**
     * @desc 捷顺用户ID
     * @column person_id
     * @default 
     */
     private String personId;

     /**
     * @desc 凭证ID
     * @column certificate_id
     * @default 
     */
     private String certificateId;

     /**
     * @desc 凭证类型
     * @column certificate_type
     * @default 
     */
     private String certificateType;

     /**
     * @desc 凭证到期时间
     * @column certificate_end_time
     * @default 
     */
     private Date certificateEndTime;

     /**
     * @desc 凭证卡号
     * @column certificate_no
     * @default 
     */
     private String certificateNo;

     /**
     * @desc 凭证卡密码 4位数字
     * @column certificate_pwd
     * @default 
     */
     private String certificatePwd;

     /**
     * @desc 人脸数据
     * @column face_pic_base64
     * @default 
     */
     private String facePicBase64;


}

